Name: x11-driver-video-ast
Version: 1.1.5
Release: %mkrel 9
Summary: X.org driver for ASPEED Technology Inc
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ast-%{version}.tar.bz2
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-ast is the X.org driver for ASPEED Technology Inc.

%prep
%setup -q -n xf86-video-ast-%{version}

%build
%configure
%make

%install
%make_install

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/ast_drv.la
%{_libdir}/xorg/modules/drivers/ast_drv.so




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.1.5-9.mga8
+ Revision: 1518480
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1.5-8.mga7
+ Revision: 1301749
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 1.1.5-7.mga7
+ Revision: 1207705
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.1.5-6.mga6
+ Revision: 1067775
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.1.5-5.mga6
+ Revision: 1043234
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.1.5-4.mga6
+ Revision: 963365
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.1.5-3.mga6
+ Revision: 902288
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.1.5-2.mga6
+ Revision: 902048
- rebuild for new xserver

* Wed Sep 30 2015 tv <tv> 1.1.5-1.mga6
+ Revision: 885402
- new release
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 0.98.0-8.mga5
+ Revision: 743807
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.98.0-7.mga5
+ Revision: 690421
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 0.98.0-6.mga5
+ Revision: 635008
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.98.0-5.mga5
+ Revision: 633665
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.98.0-4.mga5
+ Revision: 614356
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.98.0-3.mga5
+ Revision: 582306
- new release

* Mon Oct 21 2013 umeabot <umeabot> 0.98.0-2.mga4
+ Revision: 539298
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 tv <tv> 0.98.0-1.mga4
+ Revision: 491894
- new release
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 0.97.0-3.mga3
+ Revision: 385974
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 0.97.0-2.mga3
+ Revision: 288953
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 0.97.0-1.mga3
+ Revision: 273818
- new release

* Thu Jul 12 2012 tv <tv> 0.96.0-1.mga3
+ Revision: 270228
- new release

* Thu Jun 14 2012 tv <tv> 0.95.00-1.mga3
+ Revision: 260468
- new release

* Wed Jun 06 2012 tmb <tmb> 0.93.10-3.mga3
+ Revision: 256379
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.93.10-2.mga3
+ Revision: 253003
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.93.10-1.mga3
+ Revision: 249919
- new release

* Sat Jan 28 2012 tv <tv> 0.93.9-1.mga2
+ Revision: 202440
- new release

* Tue Dec 06 2011 tmb <tmb> 0.91.10-6.mga2
+ Revision: 177532
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.91.10-5.mga2
+ Revision: 153113
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.91.10-4.mga1
+ Revision: 64388
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.91.10-3.mga1
+ Revision: 50189
- imported package x11-driver-video-ast


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 0.91.10-3mdv2011.0
+ Revision: 595736
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.91.10-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Aug 17 2010 Thierry Vignaud <tv@mandriva.org> 0.91.10-1mdv2011.0
+ Revision: 570774
- new release

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 0.89.9-1mdv2010.0
+ Revision: 407727
- new release

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.87.0-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Tue Dec 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 0.87.0-1mdv2009.1
+ Revision: 317839
- New version 0.87.0

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.85.0-2mdv2009.0
+ Revision: 265902
- rebuild early 2009.0 package (before pixel changes)
- improved description
- fix group
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.85.0-1mdv2009.0
+ Revision: 194214
- Update to version 0.85.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.81.0-6mdv2008.1
+ Revision: 165483
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.81.0-5mdv2008.1
+ Revision: 156598
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.81.0-4mdv2008.1
+ Revision: 154894
- Updated BuildRequires and resubmit package.
- Update release as there is no official newer version (just git head patches).
  Also Update build requires to, hopefully, match final spec format for some
  time.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Fix improper version bump as there is no official version yet, and correct
  @mandriva tags in git repository.
- Note local tag xf86-video-ast-0.81.0.0@mandriva suggested on upstream
  Tag at git checkout 8bbdddf6025e1421e91ce12c509840822b395fb6
  This also updates to 0.84.7 version, that has no tag on upstream, therefore
  no local tag was also added. Assuming that patch1 is correct, but still
  adding it to the rpm so that it still can be reverted to previous version,
  but assuming it is correct due to the long time since any other "functional"
  change to the repository files.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.81.0-3mdv2008.1
+ Revision: 98685
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.81.0-2mdv2008.0
+ Revision: 75738
- rebuild


* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:37:36 (31593)
- New driver (part of X11R7.1)

